GXINE(1)

NAME
gxine - a GTK/GNOME frontend to the xine video player

SYNOPSIS
gxine [options] [files or MRLs]

DESCRIPTION

gxine plays MPEG system (audio and video) streams, MPEG elementary streams (e.g. .mp3, .mpa or .mpv files), MPEG transport streams, AVI files, ASF files, Quicktime files, (S)VCDs and DVDs - anything which xine-lib can handle.

Typical usage looks like
    gxine some.mpg
    gxine -f dvd://
    gxine dvd://home/user/dvd/my.iso

Some directories and file names are not treated as ordinary files. They are:

DVD A directory containing a DVD filesystem structure; or a UDF filesystem image, identified by file name (“*.iso”).

VCD A cue file, identified by file name.

You can override this by using file://full/path/to/file.

OPTIONS

-A audio_driver
--audio audio_driver
    Select which libxine audio driver to use. This setting is not permanent, but it does prevent selection of other drivers via the preferences window.

-V video_driver
--video video_driver
    Select which libxine video driver to use. This setting is not permanent, but it does prevent selection of other drivers via the preferences window.

-S
--no-splash
    Don't show the splash window during startup.

-a
--add
    Don't clear the playlist before adding any MRLs; start playing the first new MRL.

-e
--enqueue
    Don't clear the playlist before adding any MRLs; don't start playing the first new MRL.

-f
--full-screen
    Start in full-screen mode.

-c Javascript
--command Javascript
    Javascript command(s) to be executed immediately after starting up.

-C KEY=VALUE
--configure KEY=VALUE
    Set configuration item KEY to VALUE, e.g. “-c gui.window_size=100%”.

-v
--verbose
    Verbose mode: output information about plugins, the video stream, commands executed etc. Repeat for more verbosity.

FEATURES

There are a couple of features which aren't immediately obvious: in full-screen mode, you can right-click to get access to the menus, or middle-click to show or hide the player controls.

SEE ALSO
http://xinehq.de/, (http://xinehq.de/) xine(1), totem(1), kaffeine(1).
xine(5) for MRL syntax documentation (libxine >= 1.0.2).

AUTHOR
This manual page was written by Darren Salt <linux@youmustbejoking.demon.co.uk>. It is based on an older version written by Philipp Matthias Hahn <pmhahn@titan.lahn.de> for Debian.

COPYRIGHT
Copyright © 2001-2006 The xine project